<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Textures (Deprecated)</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl Reference Manual">
<link rel="up" href="ch03.html" title="Cogl deprecated API">
<link rel="prev" href="cogl-General-API-(Deprecated).html" title="General API (Deprecated)">
<link rel="next" href="cogl-Materials-(Deprecated).html" title="Materials (Deprecated)">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
<tr valign="middle">
<td><a accesskey="p" href="cogl-General-API-(Deprecated).html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl Reference Manual</th>
<td><a accesskey="n" href="cogl-Materials-(Deprecated).html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr>
<tr><td colspan="5" class="shortcuts">
<a href="#cogl-Textures-(Deprecated).synopsis" class="shortcut">Top</a>
                   | 
                  <a href="#cogl-Textures-(Deprecated).description" class="shortcut">Description</a>
</td></tr>
</table>
<div class="refentry">
<a name="cogl-Textures-(Deprecated)"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="cogl-Textures-(Deprecated).top_of_page"></a>Textures (Deprecated)</span></h2>
<p>Textures (Deprecated)</p>
</td>
<td valign="top" align="right"></td>
</tr></table></div>
<div class="refsynopsisdiv">
<a name="cogl-Textures-(Deprecated).synopsis"></a><h2>Synopsis</h2>
<pre class="synopsis"><span class="returnvalue">void</span> *              <a class="link" href="cogl-Textures-(Deprecated).html#cogl-texture-ref" title="cogl_texture_ref ()">cogl_texture_ref</a>                    (<em class="parameter"><code><span class="type">void</span> *texture</code></em>);
<span class="returnvalue">void</span>                <a class="link" href="cogl-Textures-(Deprecated).html#cogl-texture-unref" title="cogl_texture_unref ()">cogl_texture_unref</a>                  (<em class="parameter"><code><span class="type">void</span> *texture</code></em>);
</pre>
</div>
<div class="refsect1">
<a name="cogl-Textures-(Deprecated).description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="cogl-Textures-(Deprecated).details"></a><h2>Details</h2>
<div class="refsect2">
<a name="cogl-texture-ref"></a><h3>cogl_texture_ref ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span> *              cogl_texture_ref                    (<em class="parameter"><code><span class="type">void</span> *texture</code></em>);</pre>
<div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;">
<h3 class="title">Warning</h3>
<p><code class="literal">cogl_texture_ref</code> has been deprecated since version 1.2 and should not be used in newly-written code. Use <a class="link" href="cogl-General-API.html#cogl-object-ref" title="cogl_object_ref ()"><code class="function">cogl_object_ref()</code></a> instead</p>
</div>
<p>
Increment the reference count for a cogl texture.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><em class="parameter"><code>texture</code></em> :</span></p></td>
<td>a <span class="type">CoglTexture</span>.</td>
</tr>
<tr>
<td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
<td>the <em class="parameter"><code>texture</code></em> pointer.</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="cogl-texture-unref"></a><h3>cogl_texture_unref ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>                cogl_texture_unref                  (<em class="parameter"><code><span class="type">void</span> *texture</code></em>);</pre>
<div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;">
<h3 class="title">Warning</h3>
<p><code class="literal">cogl_texture_unref</code> has been deprecated since version 1.2 and should not be used in newly-written code. Use <a class="link" href="cogl-General-API.html#cogl-object-unref" title="cogl_object_unref ()"><code class="function">cogl_object_unref()</code></a> instead</p>
</div>
<p>
Decrement the reference count for a cogl texture.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody><tr>
<td><p><span class="term"><em class="parameter"><code>texture</code></em> :</span></p></td>
<td>a <span class="type">CoglTexture</span>.</td>
</tr></tbody>
</table></div>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>